#include <rover.h>
#define AXSEL 1
#define UPL 3
#define DWNR 4
#define LSERV 0
#define RSERV 2
#define LEFTCAL 1
#define RIGHTCAL 0.75

int axis = HIGH;
int lastup = 0;
int lastdown = 0;
int lastleft = 0;
int lastright = 0;

void setup() {
  pinMode(AXSEL, OUTPUT);
  pinMode(UPL, INPUT);
  pinMode(DWNR, INPUT);
  rover(LSERV, RSERV);
  cal(LEFTCAL, RIGHTCAL);
  start();
  straight(0);
}

void loop() {
  axis = !axis;
  digitalWrite(AXSEL, axis);
  if (axis) {
    if (!digitalRead(UPL)) {
      straight(60);
      lastup = 1;
      lastdown = 0;
    }else if (!digitalRead(DWNR)) {
      straight(-60);
      lastdown = 1;
      lastup = 0;
    }else{
      lastup = 0;
      lastdown = 0;
    }
  }else{
    if (!digitalRead(UPL)){
      rotate(-60);
      lastleft = 1;
      lastright = 0;
    } else if (!digitalRead(DWNR)){
      rotate(60);
      lastleft = 1;
      lastright = 0;
    }else{
      lastleft = 0;
      lastright = 0;
    }
  } 
  if(!lastleft && !lastright && !lastup && !lastdown){
    straight(0);
  }
}
